package com.qs.mp.channel.domain.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hu
 * @apiNote 我的盲豆转让入参类
 * @date 2023/4/20
 */

@ApiModel("我的盲豆转让入参类")
@Data
public class UserCoinTransferParam {

  @ApiModelProperty("受让人的盲豆数量")
  private Integer number;

  @ApiModelProperty("受让人id")
  private Long assigneeId;

  @ApiModelProperty("受让人手机号")
  private String mobile;
}
