package com.qs.mp.channel.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qs.mp.channel.domain.ChannelCoinTransfer;
import com.qs.mp.channel.domain.param.UserCoinTransferParam;

/**
 * @author hu
 * @create 2023/4/20 15:16
 * @apiNote 用户盲豆转让信息表 服务类
 */
public interface IChannelCoinTransferService extends IService<ChannelCoinTransfer>{

  /**
   * 用户盲豆转让
   * @param userId     转让人id
   * @param userCoinTransferParam 转让参数
   * @return
   */
  boolean transferCoin(Long userId, UserCoinTransferParam userCoinTransferParam);
}
